=begin
= GSL::Histogram2d class

== Singleton Methods
--- GSL::Histogram2d.new(nx, ny)
--- GSL::Histogram2d.new(nx, xmin, xmax, ny, ymin, ymax)
    Constructors

--- GSL::Histogram2d.new_uniform(nx, xmin, xmax, ny, ymin, ymax)
--- GSL::Histogram2d.alloc_uniform(nx, xmin, xmax, ny, ymin, ymax)
--- GSL::Histogram2d.equal_bins_p(h1, h2)

== Methods
--- GSL::Histogram2d#set_ranges(vx, vy)
    This sets the ranges of the existing histogram using ((<GSL::Vector|URL:vector.html>)) objects.
--- GSL::Histogram2d#set_ranges_uniform(xmin, xmax, ymin, ymax)

--- GSL::Histogram2d#clone

--- GSL::Histogram2d#increment(x, y)
--- GSL::Histogram2d#accumulate(x, y, weight)
--- GSL::Histogram2d#get(i, h)
--- GSL::Histogram2d#get_xrange(i)
--- GSL::Histogram2d#get_yrange(j)
--- GSL::Histogram2d#xmax
--- GSL::Histogram2d#xmin
--- GSL::Histogram2d#ymax
--- GSL::Histogram2d#ymin
--- GSL::Histogram2d#nx
--- GSL::Histogram2d#ny
--- GSL::Histogram2d#reset
--- GSL::Histogram2d#find(x, y)
--- GSL::Histogram2d#max_val
--- GSL::Histogram2d#max_bin
--- GSL::Histogram2d#min_val
--- GSL::Histogram2d#min_bin
--- GSL::Histogram2d#xmean
--- GSL::Histogram2d#xsigma
--- GSL::Histogram2d#ymean
--- GSL::Histogram2d#ysigma
--- GSL::Histogram2d#cov
--- GSL::Histogram2d#sum
--- GSL::Histogram2d#add
--- GSL::Histogram2d#sub
--- GSL::Histogram2d#mul
--- GSL::Histogram2d#div
--- GSL::Histogram2d#scale
--- GSL::Histogram2d#shift
--- GSL::Histogram2d#fwrite(io)
--- GSL::Histogram2d#fwrite(filename)
--- GSL::Histogram2d#fread(io)
--- GSL::Histogram2d#fread(filename)
--- GSL::Histogram2d#fprintf(io, range_format, bin_format)
--- GSL::Histogram2d#fprintf(filename, range_format, bin_format)
--- GSL::Histogram2d#fscanf(io)
--- GSL::Histogram2d#fscanf(filename)

== GSL::Histogram2d_pdf class
--- GSL::Histogram2d_pdf.new(nx, ny)
--- GSL::Histogram2d_pdf.alloc(nx, ny)
    Constructors

--- GSL::Histogram2d_pdf#init(h)
    Initializer with a GSL::Histogram2d object ((|h||))
--- GSL::Histogram2d_pdf#sample(r1, r2)

((<back|URL:index.html>))
=end
