set multiplot
set size 0.5, 0.5
set xrange [0:12]
set grid
set xlabel 'x'

set origin 0, 0.5
set yrange [-1:1.2]
set ylabel 'J(x)'
plot 'bessel.dat' u 1:2 title 'J0' w l lw 2, '' u 1:3 title 'J1' w l lw 2, '' u 1:4 title 'J2' w l lw 2, '' u 1:5 title 'J3' w l lw 2

set origin 0.5, 0.5
set ylabel 'Y(x)'
set yrange [-3:1.2]
plot 'bessel.dat' u 1:6 title 'Y0' w l lw 2, '' u 1:7 title 'Y1' w l lw 2, '' u 1:8 title 'Y2' w l lw 2

set xrange [0:4]
set yrange [0:6]
set origin 0, 0
set ylabel 'I(x)'
plot 'bessel.dat' u 1:9 title 'I0' w l lw 2, '' u 1:10 title 'I1' w l lw 2, '' u 1:11 title 'I2' w l lw 2

set origin 0.5, 0
set ylabel 'K(x)'
plot 'bessel.dat' u 1:12 title 'K0' w l lw 2, '' u 1:13 title 'K1' w l lw 2, '' u 1:14 title 'K2' w l lw 2

