set multiplot
set size 0.5,0.5
set grid
set origin 0, 0.5
set yrange [1e-4:100]
set xrange [0:14]
set logscale y
set ylabel 'lngamma'
plot 'gamma.dat' u 1:6 title 'lngamma(x)' w l lw 2

#set key left
set origin 0.5, 0.5
set yrange [0:1.2]
unset logscale y
set ylabel 'Incomplete Gamma'
plot 'gamma.dat' u 1:2 title 'a=0' w l lw 2, '' u 1:3 title 'a=1' w l lw 2, '' u 1:4 title 'a=3' w l lw 2, '' u 1:5 title 'a=10' w l lw 2

set origin 0, 0
set yrange [0:1.2]
set xrange [0:1]
set ylabel 'Incomplete Beta'
plot 'gamma.dat' u 1:7 title 'a=0' w l lw 2, '' u 1:8 title 'a=1' w l lw 2, '' u 1:9 title 'a=3' w l lw 2, '' u 1:10 title 'a=10' w l lw 2
